Puntuado con 5 de 5 estrellas

Please update!!
Installation not permitted on Firefox 5.0
I love it, but can't install it.